# TdApi.RemoveNotificationGroup (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: RemoveNotificationGroup

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RemoveNotificationGroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.RemoveNotificationGroup

Enclosing class:
  TdApi

public static final class TdApi.RemoveNotificationGroup extends TdApi.Function<TdApi.Ok>
Removes a group of active notifications. Needs to be called only if the notification group is removed by the current user. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`maxNotificationId`
The maximum identifier of removed notifications.
`int`
`notificationGroupId`
Notification group identifier.

## Constructor Summary

Constructors
Constructor
Description
`RemoveNotificationGroup()`
Removes a group of active notifications.
`RemoveNotificationGroup(int notificationGroupId, int maxNotificationId)`
Removes a group of active notifications.
`RemoveNotificationGroup(DataInput input)`
Removes a group of active notifications.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### notificationGroupId

public int notificationGroupId
Notification group identifier.

### maxNotificationId

public int maxNotificationId
The maximum identifier of removed notifications.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### RemoveNotificationGroup

public RemoveNotificationGroup()
Removes a group of active notifications. Needs to be called only if the notification group is removed by the current user. Returns `Ok`

### RemoveNotificationGroup

public RemoveNotificationGroup(int notificationGroupId, int maxNotificationId)
Removes a group of active notifications. Needs to be called only if the notification group is removed by the current user. Returns `Ok`

Parameters:
  `notificationGroupId` - int Notification group identifier.
  `maxNotificationId` - int The maximum identifier of removed notifications.

### RemoveNotificationGroup

public RemoveNotificationGroup(DataInput input) throws IOException
Removes a group of active notifications. Needs to be called only if the notification group is removed by the current user. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`